summaryrefslogtreecommitdiffstats
path: root/system/terminus-font/terminus-font.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/terminus-font/terminus-font.SlackBuild')
-rw-r--r--system/terminus-font/terminus-font.SlackBuild101
1 files changed, 101 insertions, 0 deletions
diff --git a/system/terminus-font/terminus-font.SlackBuild b/system/terminus-font/terminus-font.SlackBuild
new file mode 100644
index 0000000000..84c5fdc57b
--- /dev/null
+++ b/system/terminus-font/terminus-font.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for terminus-font
+
+# Written by core (eroc@linuxmail.org)
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=terminus-font
+VERSION=4.20
+ARCH=noarch
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Declare a nice exit function in case a patch fails to apply.
+patchfailed() {
+ echo
+ echo One or more of your selected patches failed to apply.
+ echo Please correct the problem and try again.
+ exit 1
+ }
+# Please uncomment any patches you need.
+# Note that all of them are not tested, so if one of these happens to
+# fail, it should be reported to the upstream developers. :-)
+( # Apply patches
+ echo "Applying patches (if any were selected)..."
+ # terminus-font-4.20-ao2.diff - nice, but sometimes hard to distinguish from 'o'.
+ #patch -p1 < $CWD/patches/terminus-font-4.20-ao2.diff || exit 1
+
+ # terminus-font-4.20-dv1.diff - due to character matrix limitations, the printing
+ # de and ve are of slightly worse quality.
+ #patch -p1 < $CWD/patches/terminus-font-4.20-dv1.diff || exit 1
+
+ # terminus-font-4.20-ge1.diff - apply this if you are creating an
+ # international package.
+ # patch -p1 < $CWD/patches/terminus-font-4.20-ge1.diff || exit 1
+
+ # terminus-font-4.20-gq2.diff - many programs still use ` and ' as single
+ # quotes.
+ #patch -p1 < $CWD/patches/terminus-font-4.20-gq2.diff || exit 1
+
+ # terminus-font-4.20-ij1.diff
+ #patch -p1 < $CWD/patches/terminus-font-4.20-ij1.diff || exit 1
+
+ # terminus-font-4.20-ka2.diff - the high cyrillic ka is used in Bulgaria as
+ # decorative; the latin 'k' is always high, of course.
+ #patch -p1 < $CWD/patches/terminus-font-4.20-ka2.diff || exit 1
+
+ # terminus-font-4.20-kx3.diff - boldified diagonal parts of '4', 'k', 'x' etc.
+ # (about 55 basic characters) for 16x32 normal. Whether the patched versions will look
+ # better depends on your monitor and personal taste.
+ #patch -p1 < $CWD/patches/terminus-font-4.20-kx3.diff || exit 1
+
+ # terminus-font-4.20-kx3-ao2.diff, terminus-font-4.20-kx3-ij1.diff,
+ # terminus-font-4.20-kx3-ka2.diff - kx3-specific versions of some variants, use
+ # them with kx3 instead of the standard variant.
+ #patch -p1 < $CWD/patches/terminus-font-4.20-kx3-ao2.diff || exit 1
+ #patch -p1 < $CWD/patches/terminus-font-4.20-kx3-ij1.diff || exit 1
+ #patch -p1 < $CWD/patches/terminus-font-4.20-kx3-ka2.diff || exit 1
+) || patchfailed
+
+# Set the directory for X11 fonts
+XPREF=$(pkg-config --variable=prefix x11) || true
+if [ "$XPREF" = "/usr" ]; then
+ X11DIRFONTS=/usr/share/fonts/local
+else
+ X11DIRFONTS=/usr/X11R6/lib/X11/fonts/local
+fi
+
+./configure \
+ --prefix=/usr \
+ --psfdir=/usr/share/kbd/consolefonts \
+ --x11dir=$X11DIRFONTS
+
+make
+make install install-uni install-ref DESTDIR=$PKG TESTDIR=
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz